WCSWIDTH(3)

NAME
wcswidth - determine columns needed for a fixed-size wide character string

SYNOPSIS
#include <wchar.h>

int wcswidth(const wchar_t *s, size_t n);

DESCRIPTION
The wcswidth function returns the number of columns needed to represent the wide-character string pointed to by s, but at most n wide characters. If a non-printable wide character occurs among these characters, -1 is returned.

RETURN VALUE
The wcswidth function returns the number of column positions for the wide-character string s, truncated to at most length n.

CONFORMING TO
UNIX98

SEE ALSO
iswprint(3), wcwidth(3)

NOTES
The behaviour of wcswidth depends on the LC_CTYPE category of the current locale.